Page MenuHomePhabricator

Investigate and fix OOMs caused during account globalization
Closed, ResolvedPublic

Description

Was causing OOMs and disabled due to T75462. Need to fix whatever was causing that and then turn it back on.

Blocked on HHVM deployment, HHVM folks please check logs and update this task's status when that happens.

Related Objects

Event Timeline

Legoktm created this task.Dec 16 2014, 11:54 PM
Legoktm raised the priority of this task from to Needs Triage.
Legoktm updated the task description. (Show Details)
Legoktm changed Security from none to None.
Legoktm added a subscriber: Legoktm.
Keegan added a subscriber: Keegan.Dec 17 2014, 11:26 PM

Do we know how many users were merged thanks to $wgCentralAuthAutoMigrate?

Do we know how many users were merged thanks to $wgCentralAuthAutoMigrate?

legoktm@fluorine:/a/mw-log/archive$ zgrep "wgCentralAuthAutoMigrate successful" centralauth.log-2014* | wc -l
14684

And the earliest logs we still have are from 20140910.

Legoktm claimed this task.Dec 22 2014, 10:27 PM
Legoktm moved this task from Backlog to In Dev/Progress on the MediaWiki-Core-Team board.

It appears that the OOMs can be reproduced by visiting Special:MergeAccount directly, as seen in https://en.wikipedia.org/wiki/User_talk:Hoary#Global_account which has an associated OOM log entry for their centralauth logs.

Legoktm renamed this task from Re-enable $wgCentralAuthAutoMigrate = true to Investigate and fix OOMs caused during account globalization.Jan 7 2015, 11:07 PM
Legoktm triaged this task as High priority.
Legoktm removed Legoktm as the assignee of this task.Jan 8 2015, 12:14 AM

[16:02:31] <hoo> I talked with _joe_ about that earlier
[16:02:40] <hoo> the pending HHVM update will probably fix it

Nemo_bis assigned this task to Joe.Jan 8 2015, 8:59 AM
Nemo_bis updated the task description. (Show Details)
Nemo_bis added a project: HHVM.
Joe added a comment.Jan 8 2015, 5:34 PM

Actually, if the bug is related to an OOM I doubt the new package would fix that.

The fix would be for cases where the user login fails because of a wrong timezone

Joe removed Joe as the assignee of this task.Jan 8 2015, 5:34 PM
hoo added a subscriber: hoo.Jan 8 2015, 5:37 PM

Change 183554 had a related patch set uploaded (by Hoo man):
Reduce Password object creations needed for an account merge

https://gerrit.wikimedia.org/r/183554

Patch-For-Review

Change 183554 merged by jenkins-bot:
Reduce Password object creations needed for an account merge

https://gerrit.wikimedia.org/r/183554

Change 183714 had a related patch set uploaded (by Hoo man):
Reduce Password object creations needed for an account merge

https://gerrit.wikimedia.org/r/183714

Patch-For-Review

Change 183715 had a related patch set uploaded (by Hoo man):
Reduce Password object creations needed for an account merge

https://gerrit.wikimedia.org/r/183715

Patch-For-Review

Change 183715 merged by jenkins-bot:
Reduce Password object creations needed for an account merge

https://gerrit.wikimedia.org/r/183715

Change 183714 merged by jenkins-bot:
Reduce Password object creations needed for an account merge

https://gerrit.wikimedia.org/r/183714

Change 183832 had a related patch set uploaded (by Hoo man):
Only test passwords once in CentralAuthUser::prepareMigration

https://gerrit.wikimedia.org/r/183832

Patch-For-Review

Change 183832 merged by jenkins-bot:
Only test passwords once in CentralAuthUser::prepareMigration

https://gerrit.wikimedia.org/r/183832

Change 184373 had a related patch set uploaded (by Hoo man):
Only test passwords once in CentralAuthUser::prepareMigration

https://gerrit.wikimedia.org/r/184373

Patch-For-Review

Change 184374 had a related patch set uploaded (by Hoo man):
Only test passwords once in CentralAuthUser::prepareMigration

https://gerrit.wikimedia.org/r/184374

Patch-For-Review

Change 184374 merged by jenkins-bot:
Only test passwords once in CentralAuthUser::prepareMigration

https://gerrit.wikimedia.org/r/184374

Change 184373 merged by jenkins-bot:
Only test passwords once in CentralAuthUser::prepareMigration

https://gerrit.wikimedia.org/r/184373

Change 184407 had a related patch set uploaded (by Hoo man):
Try to verify emails before testing passwords

https://gerrit.wikimedia.org/r/184407

Patch-For-Review

Change 184407 merged by jenkins-bot:
Try to verify emails before testing passwords

https://gerrit.wikimedia.org/r/184407

Change 184510 had a related patch set uploaded (by Hoo man):
Try to verify emails before testing passwords

https://gerrit.wikimedia.org/r/184510

Patch-For-Review

Change 184511 had a related patch set uploaded (by Hoo man):
Try to verify emails before testing passwords

https://gerrit.wikimedia.org/r/184511

Patch-For-Review

Change 184510 merged by jenkins-bot:
Try to verify emails before testing passwords

https://gerrit.wikimedia.org/r/184510

Change 184511 merged by jenkins-bot:
Try to verify emails before testing passwords

https://gerrit.wikimedia.org/r/184511

hoo edited projects, added Upstream; removed Patch-For-Review.Jan 13 2015, 5:49 PM

I'm fairly sure now that https://github.com/facebook/hhvm/issues/3740 hits us over here.

@swtaarrs has a patch upstream that may be the true fix for this (https://github.com/facebook/hhvm/commit/fd41d2001042bf208864da0d08e3dd96a52e43f5). He found that the ^= operator was adding an extra reference to the internal string object that kept it from being GC'd.

On irc he said that a cherry-pick to our fork would only need to take the runtime/base/tv-arith.cpp changes.

Elitre added a subscriber: Elitre.Jan 16 2015, 6:01 PM
hoo closed this task as Resolved.Feb 4 2015, 1:59 PM
hoo claimed this task.

Should be good now.

bd808 moved this task from Done to Archive on the MediaWiki-Core-Team board.